%define module_name Object-Pad-ClassAttr-Struct
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Object/Pad/ExtensionBuilder.pm) perl(Test2/V0.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt2
Summary: declare an C<Object::Pad> class to be struct-like
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides a third-party class attribute for the Object::Pad manpage-based
classes, which applies some attributes automatically to every slot added to
the class, as a convenient shortcut for making structure-like classes.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt2
- rebuild with perl 5.38

* Fri Aug 11 2023 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Wed Dec 28 2022 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Fri Nov 19 2021 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- updated by package builder

* Wed Sep 01 2021 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

